light-mode-image
Learn
API ReferenceGeneral

Delete specific VICAL

Roles

admindts-provider

Analytics Events

ECOSYSTEM_VICAL_DELETE_STARTECOSYSTEM_VICAL_DELETE_SUCCESSECOSYSTEM_VICAL_DELETE_FAIL
DELETE/v1/ecosystems/{ecosystemId}/vicals/{vicalIssueId}

Deletes a specific VICAL from the requested ecosystem by providing the VICAL version identifier. Deleting a VICAL also deletes the issuer policy published from it, if one exists. This action cannot be undone.

A 404 is only returned when the ecosystem does not exist. Deleting a vicalIssueId that does not exist within an existing ecosystem still returns 204.

Analytic events

  • ECOSYSTEM_VICAL_DELETE_START
  • ECOSYSTEM_VICAL_DELETE_SUCCESS
  • ECOSYSTEM_VICAL_DELETE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

ecosystemId*string

The UUID of the ecosystem

Formatuuid
vicalIssueId*integer

Unique identifier of a specific VICAL version. This numeric value is continuously increased whenever a VICAL is created.

Formatint32

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/vicals/0"
Empty

How would you rate this page?